Bug 1916361 - "'NoneType' object is not subscriptable" error during pulp 2to3 migration
Summary: "'NoneType' object is not subscriptable" error during pulp 2to3 migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 16:12 UTC by Justin Sherrill
Modified: 2021-04-21 13:25 UTC (History)
8 users (show)

Fixed In Version: python-pulp_2to3-migration-0.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 8084 0 High CLOSED - CURRENTRELEASE "'NoneType' object is not subscriptable" error during migration 2021-02-04 12:18:23 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:19 UTC

Description Justin Sherrill 2021-01-14 16:12:26 UTC
Description of problem:

Seen on both a user database and set of repos synced by a pulp developer.

During the migration with some data (unclear exactly what), you can get:


    traceback: |2
        File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
          rv = job.perform()
        File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
          self._result = self._execute()
        File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in _execute
          return self.func(*self.args, **self.kwargs)
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/tasks/migrate.py", line 141, in migrate_from_pulp2
          migrate_content(plan, skip_corrupted=skip_corrupted)
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/migration.py", line 47, in migrate_content
          plugin.migrator.migrate_content_to_pulp3(skip_corrupted=skip_corrupted)
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/rpm/migrator.py", line 145, in migrate_content_to_pulp3
          loop.run_until_complete(dm.create())
        File "/usr/lib64/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/content.py", line 90, in create
          await pipeline
        File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 225, in create_pipeline
          await asyncio.gather(*futures)
        File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py", line 43, in __call__
          await self.run()
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/content.py", line 182, in run
          self.migrate_to_pulp3(cmodel, ctype)
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/content.py", line 277, in migrate_to_pulp3
          pulp3content, extra_info = pulp_2to3_detail_content.create_pulp3_content()
        File "/usr/lib/python3.6/site-packages/pulp_2to3_migration/app/plugin/rpm/pulp_2to3_models.py", line 775, in create_pulp3_content
          return (DistributionTree(**treeinfo_serialized["distribution_tree"]),
    description: "'NoneType' object is not subscriptable"




Version-Release number of selected component (if applicable):
pulp 2to3 migration plugin 0.6.0

Comment 1 pulp-infra@redhat.com 2021-01-14 16:35:31 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 2 pulp-infra@redhat.com 2021-01-14 16:35:33 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2021-01-27 16:13:59 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2021-02-01 14:07:24 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2021-02-03 17:30:33 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2021-02-03 18:12:52 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 7 pulp-infra@redhat.com 2021-02-04 12:18:24 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 8 Lai 2021-03-16 17:40:13 UTC
There's no concrete way of reproducing the issue though I have encounter this in my migration with customer data before in python3-pulp-2to3-migration-0.6.0.  I have retested this with python3-pulp-2to3-migration-0.9.1-1.el7pc.noarch with customer data and all valid data migrated successfully.

And I have also verified that the code is in the system that I test it on.

Marking this as verified on 6.9.0_017.

Comment 11 errata-xmlrpc 2021-04-21 13:25:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.